/*
* Copyright (C) Ghent University - IBBT. All rights reserved.
*
* "This file is part of the IDRA framework (http://idraproject.net)
*
* IDRA is an open-source framework, developed for easy integration and 
* efficient combination of network protocols for netwerked embedded systems.
*   
* IDRA is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* (at your option) any later version.
*
* IDRA is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with IDRA.  If not, see <http://www.gnu.org/licenses/>."
*/

#ifndef SENSORSTMOTESKY_H
#define SENSORSTMOTESKY_H

enum {
  AM_REPORTMSG = 55,
  NUMBER_OF_REPORTS_PER_MESSAGE = 4,  
  AM_TEMPERATURE = 6,
};

typedef nx_struct ReportMsg {
  nx_uint16_t INTERNALTEMPERATURE_Value;
  nx_uint16_t EXTERNALTEMPERATURE_Value;
  nx_uint16_t HUMIDITY_Value;
  nx_uint16_t HALFCHANNEL_Value;
  
} ReportMsg;

#endif
