#ifndef DATAGENERATOR_H
#define DATAGENERATOR_H

enum{
    AM_SENSORDATA = 118,
};

typedef nx_struct SensorData {
  nx_uint16_t externalTemperature;
  nx_uint16_t humidity;
  nx_uint16_t internalTemperature;
  nx_uint16_t internalVoltage;
  
  nx_uint32_t bytesReceived;
  nx_uint32_t bytesSent;
  nx_uint8_t  currentQueueOccupation;
  nx_uint8_t  reserved;
  nx_uint32_t failedPacketsSent;
  nx_uint32_t faultyPacketsReceived;
  nx_uint16_t nodeID;
  nx_uint32_t packetDropCount;
  nx_uint32_t packetReceivedCount;
  nx_uint32_t packetSentCount;
} SensorData_t; //40 bytes 


#endif