/*
* Copyright (C) Ghent University - IBBT. All rights reserved.
*
* "This file is part of the IDRA framework (http://idraproject.net)
*
* IDRA is an open-source framework, developed for easy integration and 
* efficient combination of network protocols for netwerked embedded systems.
*   
* IDRA is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* (at your option) any later version.
*
* IDRA is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with IDRA.  If not, see <http://www.gnu.org/licenses/>."
*/

#ifndef QOSFUNCTIONS_H
#define QOSFUNCTIONS_H

// combine function for scombine = SUCCESS-combine (SUCCESS if one or more return values are SUCCESS)

typedef error_t error_s NESC_COMBINE("scombine");
error_t scombine(error_t e1, error_t e2) @safe(){
	return (e1 == SUCCESS || e2 == SUCCESS )? SUCCESS : FAIL; 
}

// combine function for qcombine = next-hop combine 
/*typedef uint16_t uint16_nh NESC_COMBINE("nhcombine"); 
uint16_t nhcombine(uint16_t h1, uint16_t h2)@safe(){
  if (h1 != BROADCAST_ADDR) return h1;
  else if (h2 != BROADCAST_ADDR) return h2;
  else return BROADCAST_ADDR;
}*/
#endif
